;============================================================================
; DBGLOG.ASM
;
; Debug log file functions.
;============================================================================




.data



szLogFile	db	"tui.log", 0
		align	dword
szTuiStart	db	"Tui Start",0
		align	dword
szTuiEnd	db	"Tui End",0
		align	dword

hLogFile	dd	0			; handle, log file




.code




;----------------------------------------------------------------------------
Dbg_LogOpen	proc
;----------------------------------------------------------------------------


	pushad

	invoke	File_Open, addr szLogFile, GENERIC_WRITE, CREATE_ALWAYS,
			FILE_ATTRIBUTE_NORMAL

	mov	hLogFile, eax

	invoke	Dbg_LogWrite, addr szTuiStart

	popad


	ret


Dbg_LogOpen	endp
;----------------------------------------------------------------------------




;----------------------------------------------------------------------------
Dbg_LogClose	proc
;----------------------------------------------------------------------------


	pushad

	invoke	Dbg_LogWrite, addr szTuiEnd

	invoke	File_Close, hLogFile

	popad


	ret


Dbg_LogClose	endp
;----------------------------------------------------------------------------




;----------------------------------------------------------------------------
Dbg_LogWrite	proc	pszStrg:dword
;----------------------------------------------------------------------------


	local	szBuf[512]		:byte


	pushad

	invoke	GetTickCount
	mov	edx, eax
	invoke	dwtoa, edx, addr szBuf
	invoke	szCatStr, addr szBuf, addr G_szTAB
	invoke	szCatStr, addr szBuf, pszStrg
	invoke	szCatStr, addr szBuf, addr G_szNewLine
	invoke	File_WriteStrg, hLogFile, addr szBuf

	popad


	ret


Dbg_LogWrite	endp
;----------------------------------------------------------------------------




;============================================================================
