@echo	off
::---------------------------------------------------------------------------
:: Make file for HTML plugin.
::
:: Creates HTM.DLL
::
:: Assumes binaries are in <hdd root>\masm32\bin.
::---------------------------------------------------------------------------

:: Masm32 path etc.

set path=c:\masm32\bin;c:\windows\command

:: Clean.

if exist *.exp del *.exp
if exist *.dll del *.dll
if exist *.lib del *.lib
if exist *.lst del *.lst
if exist *.obj del *.obj
if exist *.rep del *.rep

:: Assemble.

ml /nologo /c /coff htm.asm >> asm.rep
if errorlevel 1 goto AsmError
del asm.rep
echo HTM:    assembly ok

:: Link.

link /nologo /SUBSYSTEM:WINDOWS /DLL htm.obj >> link.rep
if errorlevel 1 goto LnkError
del link.rep
echo HTM:    link ok
move htm.dll .. >> nul
goto TheEnd

:: Errorhandlers.

:AsmError
echo HTM:    ASM ERROR! - sent to ASM.REP and echoed below
type asm.rep |more
echo.
echo Abort on next key
pause > nul
exit

:LnkError
echo.
echo HTM:    LINK FAILED! - sent to LINK.REP

:: Exit.

:TheEnd
if exist *.exp del *.exp
if exist *.lib del *.lib
if exist *.obj del *.obj
if exist *.res del *.res
echo.
echo Any key to exit
pause > nul
::---------------------------------------------------------------------------
