;============================================================================
; TIME.INC
;============================================================================




; Public functions.

Time_Init	proto
Time_DeInit	proto
Time_Color	proto	GetSet:dword,pColors:dword
Time_Handle	proto
Time_Stop	proto	Stop:dword
Time_Destroy	proto
Time_GetItem	proto
Time_SetItem	proto	Set:dword,Item:dword,nItems:dword
Time_TogThumb	proto




; Time_Color entry codes.

SetColors	equ	1
GetColors	equ	0

; Time Color indexes.

TC_TWBG		equ	0		; Time Window background
TC_ITBG		equ	1		; Item background
TC_TSTX		equ	2		; Item TimeStamp text
TC_TBBG		equ	3		; Time Box background

nColors		equ	4




; Time_SetItem entry codes.

TSetFirst	equ	0		; set to first item
TSetLast	equ	1		; set to last item
TSetItem	equ	2		; set to item




;============================================================================
